Bug 1909744 - cluster-api-provider-openstack: Bump gophercloud
Summary: cluster-api-provider-openstack: Bump gophercloud
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Pierre Prinetti
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-21 14:34 UTC by Pierre Prinetti
Modified: 2021-02-24 15:47 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:47:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-openstack pull 126 0 None closed Bug 1909744: Bump gophercloud to v0.14.0 2021-01-13 10:55:44 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:47:42 UTC

Description Pierre Prinetti 2020-12-21 14:34:40 UTC
Upgrade the library used for accessing the OpenStack API, to benefit from performance and security improvements, as well as bugfixes.

No functionality change expected.

Comment 4 Pierre Prinetti 2021-01-04 07:38:12 UTC
> how to verify

Since this is a clean bump without functionality change, a regression test should be enough.

Our pass rate in the CI has stayed consistent, hence I'm moving this to VERIFIED. Thank you!

Comment 6 errata-xmlrpc 2021-02-24 15:47:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.